| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FindByMassRange Class Reference

`#include <GaudiKernel/FindByMassRange.h>`

Inheritance diagram for FindByMassRange:

[legend]
Collaboration diagram for FindByMassRange:

[legend]
List of all members.

## Detailed Description

The function object must be derived from std::unary_function< IParticlePropertySvc::value_type ,bool > IParticlePropertySvc::value_type is a typedef that defines the internal service storage type that is returned when an iterator is dereferenced.

In this case it corresponds to pair< std::string, ParticleProperty* > as the ParticlePropertySvc stores all its data in a map. The string will be the map's key (usually the particle name) and the pointer is a pointer to the ParticleProperty object. The bool template argument states that operator() returns true or false.

The data is accessed in the following manner: const IParticlePropertySvc::value_type& pp_ref; std::string key = pp_ref.first; ParticleProperty* pp = pp_ref.second;

Author:
  Ian Last

Definition at line 31 of file FindByMassRange.h.

## Public Member Functions
| FindByMassRange (double low, double high)
| Constructor - sets the mass range in Gev.
bool | operator() (const ParticleProperty *pp) const
| This routine check to see if the mass of a particle lies within the given mass range and returns true if it does.
## Private Attributes
double | m_low
| Low and high mass range (GeV).
double | m_high

## Constructor & Destructor Documentation

FindByMassRange::FindByMassRange | ( | double | low,
|  | double | high |
| ) |  |  | `[inline]`

Constructor - sets the mass range in Gev.

Definition at line 36 of file FindByMassRange.h.

    00036 : m_low( low ), m_high( high ) { }

## Member Function Documentation

bool FindByMassRange::operator() | ( | const ParticleProperty * | pp | ) | const`[inline]`

This routine check to see if the mass of a particle lies within the given mass range and returns true if it does.

Definition at line 41 of file FindByMassRange.h.

References m_high, m_low, and ParticleProperty::mass().

    00041                                                                               {
    00042     bool in_range = false;
    00043     if ( pp ) {
    00044       if ( pp->mass() >= m_low && pp->mass() <= m_high ) {
    00045               in_range = true;
    00046       }
    00047     }
    00048     return in_range;
    00049   }

## Member Data Documentation

double FindByMassRange::m_low`[private]`

Low and high mass range (GeV).

Definition at line 54 of file FindByMassRange.h.

Referenced by operator()().

double FindByMassRange::m_high`[private]`

Definition at line 55 of file FindByMassRange.h.

Referenced by operator()().

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/FindByMassRange.h